Package org.eclipse.mat.ui.accessibility

## Class AccessibleToolbarAdapter

- java.lang.Object
- - org.eclipse.swt.accessibility.AccessibleAdapter
  - - org.eclipse.mat.ui.accessibility.AccessibleToolbarAdapter

All Implemented Interfaces:
  `EventListener`, `AccessibleListener`, `SWTEventListener`

    public class AccessibleToolbarAdapter
    extends AccessibleAdapter

### Constructor Summary

Constructors
`AccessibleToolbarAdapter​(ToolBar toolBar)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `getName​(AccessibleEvent e)`

### Methods inherited from class org.eclipse.swt.accessibility.AccessibleAdapter

`getDescription, getHelp, getKeyboardShortcut`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AccessibleToolbarAdapter

    public AccessibleToolbarAdapter​(ToolBar toolBar)

### Method Detail

#### getName

    public void getName​(AccessibleEvent e)

Specified by:
  `getName` in interface `AccessibleListener`
Overrides:
  `getName` in class `AccessibleAdapter`